(*
 *  beware ircd, Internet Relay Chat server, bconsts.pas
 *  Copyright (C) 2002 Bas Steendijk
 *
 *  some modifications by peter green
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *)

unit bconsts;

interface

const
  mparamsmore=150;
  maxmessagelength=510;
  maxgcoslength=50;
  maxservername=63;
  hostlen=63;
  maxnicklength=30;      {absolute max nick length; opt.nicklen gives another, at runtime, limit}
  maxchanname=63;
  maxkeylength=23;
  maxbanlength=67;
  maxsilence=15;
  versioninfostr='beware P10 IRC services';
  versionstr='2.1.rc2'
  {$ifdef win32}
    +'.win32'
  {$endif}
  {$ifdef unix}
    +'.unix'
  {$endif}
  {$ifdef fpc}
    +'.fpc'
  {$endif}
  ;
  oldest_ts=780000000;
  globaldefaultts=1000000000;
  nickdelay=30;
  userlen=10;
  iplen=15;
  {$ifdef shortnumerics}
  SSlen=1;
  CCClen=2;
  numericsname='short';
  SSmask=$3f;
  CCCmask=$fff;
  {$else}
  SSlen=2;
  CCClen=3;
  numericsname='extended';
  SSmask=$fff;
  CCCmask=$3ffff;
  {$endif}
  SSCCClen=SSlen+CCClen;
  botip=$00000000;

  maxbot=127;
  maxserviceunit=3;
  maxmodes=6;
  maxlevel=1000;

implementation

end.
