unit unixsignals;
interface
  uses linux;
  procedure init;
  procedure timehandler;

implementation
uses bconfig,bservicemngr,bservunit,bconsts,pgdebugout;
var
  wantrehash : boolean;
  wantdie    : boolean;

procedure dosighup;cdecl;
begin
  signal(sighup,@dosighup);
  wantrehash := true;

end;

procedure dosigterm;cdecl;
begin
  signal(sigterm,@dosigterm);
  wantdie := true;
end;


procedure init;
begin
  wantrehash := false;
  wantdie := false;
  signal(sighup,@dosighup);
  signal(sigterm,@dosigterm);
end;
procedure timehandler;
var
  A : integer;
begin
  if wantdie then begin
    wantdie := false;

    debugout('sigterm received');
    globalshutdown;
  end;
  if wantrehash then begin
    wantrehash := false;
    debugout('sighup received');

    bconfig.init;

    for a := 0 to maxserviceunit do begin
      if serviceunitarray[a] <> nil then begin
        if @serviceunitarray[a].onrehash <> nil then begin
          serviceunitarray[a].onrehash;
        end;
      end;
    end;
  end;
end;

end.
